body.printers-list
  min-width: 1336px

.mod-printers-list
  form
    display: inline

  .temperature-cold
    color: $color-grey-text

  .mod-user-badge
    vertical-align: middle

  td
    border:
      color: transparent
      style: solid
      width: 1px 0

    &:first-child
      border-left-width: 1px

    &:last-child
      border-right-width: 1px

  .printer-name
    max-width: 10vw

    a
      +ellipsis
      color: $color-black
      text-decoration: none
      font-size: 14px

    &:hover
      text-decoration: underline

  .owner
    padding-right: 10px

  .jobname
    color: $color-grey-text
    max-width: 20vw
    padding-left: 10px

    a
      +ellipsis
      vertical-align: middle

  .eta
    color: $color-blue

  .status
    color: $color-grey-text
    width: 75px

  tr
    cursor: pointer

  tr[data-state="error"]
    .status,
    .printer-name a
      color: $color-orange

    td
      border-color: $color-orange

  tr[data-state="heating"],
  tr[data-state="printing"]
    .status
      color: $color-blue

  .clear-build-plate,
  .connect
    button
      margin-left: 20px

  .camera-wrapper
    float: right
    position: relative
    line-height: 0
    z-index: 1

    &:hover
      .camera-frame
        display: block

    .camera
      color: $color-grey-text
      font-size: 24px

      &:before
        +icon
        +icon-video

      &:hover
        color: $color-black

    a
      display: block
      font-size: 0

    .camera-frame
      +transform(translate(-20px, -50%))
      background-color: #fff
      border: 5px $color-black solid
      display: none
      font-size: 0
      min-height: 187px
      position: absolute
      right: 100%
      top: 50%
      z-index: 1
      box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.35)

      &:after
        +transform(translate(0, -50%))
        +triangle(20px, $color-black, right)
        content: ''
        position: absolute
        right: -15px
        top: 50%

    .live
      bottom: 15px
      right: 10px

    .camera-image
      margin-bottom: -1px
      width: 350px

  .dropdown-menu
    ul
      width: 180px

  .progress-indicator
    padding-left: 0

  .progress-bar
    width: 100px

  tr[data-state="blocked"]
    .printer-name a,
    .status,
    .camera,
    .dropdown-menu
      color: lighten($color-grey-text, 10%)
